#style of plotted lines
set style line 1 lw 3.0 lc rgb "black"
set style line 2 lt 2 lw 3.0 lc rgb "red"

#width of tics
set xtics font ",12"
set ytics font ",12"

#Figure 1
call prefix."code/plotFunction.plt" "SharpRidge" 2 100 1000000 ""
call prefix."code/plotFunction.plt" "ParabRidge" 5 100 1000000 ""
call prefix."code/plotFunction.plt" "Rosenbrock" 8 100 1000000 ""
call prefix."code/plotFunction.plt" "Sphere" 11 100 1000000 ""
call prefix."code/plotFunction.plt" "Schwefel" 14 100 1000000 ""
call prefix."code/plotFunction.plt" "Discus" 17 100 1000000 ""
call prefix."code/plotFunction.plt" "Cigar" 20 100 1000000 ""
call prefix."code/plotFunction.plt" "Ellipsoid" 23 100 1000000 ""
call prefix."code/plotFunction.plt" "DiffPowers" 26 100 1000000 ""


#Figure 2
call prefix."code/plotFunction.plt" "ConstrainedSphere16" 2 1000 1000000 "-Constrained16"
call prefix."code/plotFunction.plt" "ConstrainedSphere32" 2 1000 1000000 "-Constrained32"


#Figure 3
#style of plotted lines
set style line 1 lt 1 lw 3.0 lc rgb "black"
set style line 2 lt 1 lw 3.0 lc rgb "red"
set style line 3 lt 1 lw 3.0 lc rgb "green"
set style line 4 lt 1 lw 3.0 lc rgb "blue"
set style line 5 lt 1 lw 3.0 lc rgb "grey"


set term eps size 10cm,7.5cm
set output "images/ConstrainedRun.eps"
set logscale y
set xrange [0:200000]
set format y " "
set format x " "
plot "results/CMA-ES-ConstrainedSphere.txt" u 1:2 w l ls 1 t " ",\
	"" u 1:3 w l ls 3 t " ",\
	"results/xCMA-ES-ConstrainedSphere.txt" u 1:2 w l ls 2 t " ",\
	"" u 1:3 w l ls 4 t " "
set output
